org.apache.velocity.tools.generic

## Class LoopTool.ActionCondition

- java.lang.Object
- - org.apache.velocity.tools.generic.LoopTool.ActionCondition

Enclosing class:
  LoopTool

    public static class LoopTool.ActionCondition
    extends Object

Composition class which associates an `LoopTool.Action` and `LoopTool.Condition` for a `LoopTool.ManagedIterator`.

### Field Summary

Fields
`protected LoopTool.Action` `action`
`protected LoopTool.Condition` `condition`

### Constructor Summary

Constructors
Constructor and Description
`ActionCondition(LoopTool.Action action, LoopTool.Condition condition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(Object value)` Returns true if the specified value meets the set `LoopTool.Condition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### condition

    protected LoopTool.Condition condition

#### action

    protected LoopTool.Action action

### Constructor Detail

#### ActionCondition

    public ActionCondition(LoopTool.Action action,
                           LoopTool.Condition condition)

### Method Detail

#### matches

    public boolean matches(Object value)

Returns true if the specified value meets the set `LoopTool.Condition`

Parameters:
  `value` - value to test
Returns:
  whether the value matchers the condition